---
name: Bug report
about: Report a bug or problem encountered while using RenderDoc
---
<!--
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️ 
IF YOU DO NOT FOLLOW THE GUIDELINES, OR DO NOT USE THE TEMPLATE BELOW, YOUR ISSUE WILL BE CLOSED! NO EXCEPTIONS!
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️ 

The template below shows what you need to include in a good bug report, and you MUST use it. More information in the docs:
https://github.com/baldurk/renderdoc/blob/v1.x/docs/CONTRIBUTING/Filing-Issues.md

I'm happy to help, but you have to ensure I fully understand what you want and have the information I need. If you're unsure, please read the guide above for full information on what is expected for filing issues.
-->

## Description

<!-- Here you can enter a description of what you are doing and what bug you are running into. -->
<!-- This is a good time to describe what you want to do, what is actually happening, and what you'd expect to happen instead. -->

## Steps to reproduce

<!-- Please list the steps that someone can take to reproduce the bug. -->

<!-- If you can share your capture or your application, PLEASE DO THAT NOW. It is by far the easiest way to demonstrate a bug. You can share it privately via email to baldurk@baldurk.org and mention it here. -->
<!-- If you cannot share because of privacy or other reasons, please state that and give as much extra information as you can. -->
<!-- Steps like "run my application" or "load this capture" are not useful unless you share the application or capture. Be specific! -->

## Environment

<!-- if you are running a nightly build, list the date or commit hash for the version -->

* RenderDoc version: XXX
* Operating System: XXX
* Graphics API: XXX

<!-- More details here never hurt! For example your GPU, driver version, etc. -->
